E2MKDIR(1)

NAME
e2mkdir - creates a directory on an ext2 filesystem

SYNOPSIS
e2mkdir [options] directory...

DESCRIPTION
The e2mkdir command creates directories on an ext2 filesystem. It behaves similar to `mkdir -p'.

OPTIONS

-G gid
    Set the default group to gid.

-O uid
    Set the default file owner to uid.

-P mode
    Set the file permissions (ie 755, 666).

-v  Be verbose.

  Note
This program expects to have a full ext2 file specification for each argument.

EXAMPLES

This creates the directory `/boot/grub` with on `boot.img` with the current user and group ids:

    e2mkdir boot.img:/boot/grub

To override the default ownership and permissions:

    e2mkdir -O 100 -P 700 /dev/hdb1:/data/backup

SEE ALSO
e2tools(7), e2ln(1), e2ls(1), e2mv(1), e2cp(1), e2rm(1), e2tail(1).

AUTHOR
The e2tools were written by Keith Sheffield <sheff@pobox.com>.

This manual page was written by Lucas Wall <lwall@debian.org>, for the Debian project (but may be used by others).